Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# sfp.h File Reference

`#include "ace/pre.h"`
`#include "orbsvcs/AV/AV_export.h"`
`#include "orbsvcs/sfpC.h"`
`#include "ace/SOCK_Dgram.h"`
`#include "ace/INET_Addr.h"`
`#include "Policy.h"`
`#include "MCast.h"`
`#include "AVStreams_i.h"`
`#include "UDP.h"`
`#include "ace/post.h"`

Include dependency graph for sfp.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_AV_SFP_Factory
class | TAO_SFP_Base
class | TAO_SFP_Consumer_Object
class | TAO_SFP_Fragment_Node
class | TAO_SFP_Fragment_Table_Entry
class | TAO_SFP_Frame_State
class | TAO_SFP_Object
class | TAO_SFP_Producer_Object
## Defines
#define | TAO_SFP_MAGIC_NUMBER_LEN 4
#define | TAO_SFP_MESSAGE_TYPE_OFFSET 5
#define | TAO_SFP_WRITEV_MAX 128
#define | TAO_SFP_MAX_PACKET_SIZE ACE_MAX_DGRAM_SIZE
## Typedefs
typedef ACE_Ordered_MultiSet_Iterator< TAO_SFP_Fragment_Node > | FRAGMENT_SET_ITERATOR
typedef ACE_Hash_Map_Manager< CORBA::ULong, TAO_SFP_Fragment_Table_Entry *, ACE_Null_Mutex > | TAO_SFP_Fragment_Table
typedef ACE_Hash_Map_Manager< CORBA::ULong, TAO_SFP_Fragment_Table *, ACE_Null_Mutex > | TAO_SFP_Fragment_Table_Map
typedef ACE_Singleton< TAO_SFP_Base, TAO_SYNCH_MUTEX > | TAO_SFP_BASE
## Functions
| ACE_STATIC_SVC_DECLARE (TAO_AV_SFP_Flow_Factory) ACE_FACTORY_DECLARE(TAO_AV

## Detailed Description

sfp.h,v 5.16 2001/03/13 16:51:56 crodrigu Exp

Author:
  Nagarajan Surendran <naga@cs.wustl.edu>

## Define Documentation

#define TAO_SFP_MAGIC_NUMBER_LEN 4

#define TAO_SFP_MAX_PACKET_SIZE ACE_MAX_DGRAM_SIZE

#define TAO_SFP_MESSAGE_TYPE_OFFSET 5

#define TAO_SFP_WRITEV_MAX 128

## Typedef Documentation

typedef ACE_Ordered_MultiSet_Iterator<TAO_SFP_Fragment_Node> FRAGMENT_SET_ITERATOR

typedef ACE_Singleton<TAO_SFP_Base,TAO_SYNCH_MUTEX> TAO_SFP_BASE

typedef ACE_Hash_Map_Manager<CORBA::ULong,TAO_SFP_Fragment_Table_Entry*,ACE_Null_Mutex> TAO_SFP_Fragment_Table

typedef ACE_Hash_Map_Manager<CORBA::ULong,TAO_SFP_Fragment_Table*,ACE_Null_Mutex> TAO_SFP_Fragment_Table_Map

## Function Documentation

ACE_STATIC_SVC_DECLARE | ( | TAO_AV_SFP_Flow_Factory |  | ) |